﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace ornek1
{

    public partial class Form1 : Form
    {

       // string[] harfler = {"AA","BA","BB","CB","CC","DC","DD","FD"};
        // int[] sinirlar = { 90, 80, 70, 60, 50, 40, 35, 30 };


        string dogrlist = "ogrenci.txt"; // ogrenci bilgilerini iceren dosya
        harfvesinir[] veri;
        ComboBox cno;

        public Form1()
        {
            InitializeComponent();

            // harf ve sinirlara ait tanimlar
            veri = new harfvesinir[8];
            veri[0] = new harfvesinir("AA", 90);
            veri[1] = new harfvesinir("BA", 80);
            veri[2] = new harfvesinir("BB", 70);
            veri[3] = new harfvesinir("CB", 60);
            veri[4] = new harfvesinir("CC", 50);
            veri[5] = new harfvesinir("DC", 40);
            veri[6] = new harfvesinir("DD", 35);
            veri[7] = new harfvesinir("FD", 30);

            cno = new ComboBox();
            ogrencilistesi();

        }


        private void ogrencilistesi()
        { 
            // dosyadan ogrenci listesi getirilecek ve comboya yuklenecek

            try
            {
                string[] ogrenciler = File.ReadAllLines(dogrlist);

                // ogrencino;adsoyad formati oldugunu kabul ediyoruz

                char[] ch = { ';' };

                for (int satir = 0; satir < ogrenciler.Length; satir++)
                {
                    string[] bilgi = ogrenciler[satir].Split(ch);

                    if (bilgi.Length == 2)
                    {
                        //bilgi[0] ogrenci noyu verir
                        cno.Items.Add(bilgi[0]); // ogrno
                        cadsoyad.Items.Add(bilgi[1]); //ogradsoyad
                    }

                
                }
            }
            catch
            {
                MessageBox.Show(dogrlist + " dosyası açılamadı!");

            }

            cadsoyad.Text = "Seçiniz";
        
        }

        private void bekle_Click(object sender, EventArgs e)
        {
            int vize,final;

            bool k1 = Int32.TryParse(tvize.Text, out vize);
            bool k2 = Int32.TryParse(tfinal.Text, out final);
            int secilen=cadsoyad.SelectedIndex;

            if (k1 && k2 && secilen > -1)
            {
                lno.Items.Add(cno.Items[secilen]);
                ladsoyad.Items.Add(cadsoyad.Text); // cadsoyad.Items[secilen] yazilabilirdi
                lvize.Items.Add(vize); // int
                lfinal.Items.Add(final); //int
                int ort = (int)Math.Round((vize * 0.4 + final * 0.6));
                lort.Items.Add(ort); // int, ToString() yazmadik
                tvize.Clear();
                tfinal.Clear();
                cadsoyad.Text = "Seçiniz";
                harfhesapla();
            }
        }

        private void harfhesapla()
        {
            lharf.Items.Clear();

            for (int satir = 0; satir<lort.Items.Count; satir++)
            {

                int ort = (int)lort.Items[satir];

                string harf = "FF";


                for (int harfs = 0; harfs < veri.Length; harfs++)
                {
                    if (ort >= veri[harfs].sinir)
                    {
                        harf = veri[harfs].harf;
                        break; // onemli! dogru harf degerini bulunca donguyu kir
                    }
                }

                lharf.Items.Add(harf);
            }

        
        }

        private void bsil_Click(object sender, EventArgs e)
        {
            int secilen = lno.SelectedIndex;
            if (secilen > -1)
            {
                lno.Items.RemoveAt(secilen);
                ladsoyad.Items.RemoveAt(secilen);
                lvize.Items.RemoveAt(secilen);
                lfinal.Items.RemoveAt(secilen);
                lort.Items.RemoveAt(secilen);
                lharf.Items.RemoveAt(secilen);
            }

        }

        private void bdyaz_Click(object sender, EventArgs e)
        {
            string yazilacak = "";
            for (int satir = 0; satir < lno.Items.Count; satir++)
            {
                yazilacak +=
                    lno.Items[satir] + ";" +
                    ladsoyad.Items[satir] + ";" +
                    lort.Items[satir] + ";" +
                    lharf.Items[satir] + "\n";
            }

            try
            {
                File.WriteAllText("aktar.txt", yazilacak);

            }
            catch { 
            
            }

        }

        private void bharfler_Click(object sender, EventArgs e)
        {
            fharf frm = new fharf(veri);
            frm.ShowDialog();
            harfhesapla();

        }
    }


    public class harfvesinir {
        public string harf;
        public int sinir;

        public harfvesinir(string h, int s)
        {
            harf = h;
            sinir = s;
        }

    }

}
