﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace ornek1
{
    public partial class fharf : Form
    {

        harfvesinir[] veri;
        string dosya = "harfler.txt";

        public fharf(harfvesinir[] v)
        {
            InitializeComponent();
            veri = v;
            radioButton1.Checked = true;
            doldur();
        }

        private void doldur()
        { 
            lharf.Items.Clear();
            lsinir.Items.Clear();

            for (int satir = 0; satir < veri.Length; satir++)
            {
                lharf.Items.Add(veri[satir].harf);
                lsinir.Items.Add(veri[satir].sinir);
            }
        
        
        }

        private void bislem_Click(object sender, EventArgs e)
        {

            if (radioButton1.Checked)
            {
                int sinir;
                bool kontrol = Int32.TryParse(tsinir.Text, out sinir);
                int secilen=lharf.SelectedIndex;
                if (secilen > -1)
                {
                    lsinir.Items[secilen] = sinir;
                    veri[secilen].sinir = sinir; // form1 de de guncellendi
                    tsinir.Clear();    
                }


            }
            else
                if (radioButton2.Checked)
                { // dosyadan oku

                    try
                    {
                        string[] bilgi = File.ReadAllLines(dosya);

                        char[] ch ={';'};
                        for (int satir = 0; satir < bilgi.Length; satir++)
                        {
                            string[] parcalar = bilgi[satir].Split(ch);
                            if (parcalar.Length == 2)
                            {
                                veri[satir].sinir = Convert.ToInt32(parcalar[1]); // form1 icin
                                lsinir.Items[satir] = Convert.ToInt32(parcalar[1]); // sinir listbox 

                            }
                        }
                    }
                    catch
                    {
                        MessageBox.Show(dosya + " dosyası okunamadı!");
                    
                    }

                }
                else
                    if (radioButton3.Checked)
                    {
                        // dosyaya yaz

                        string yazilan = "";

                        for (int satir = 0; satir < veri.Length; satir++)
                        {
                            yazilan += veri[satir].harf + ";" + veri[satir].sinir + "\n";
                        }

                        try
                        {
                            File.WriteAllText(dosya, yazilan);
                        }
                        catch {

                            MessageBox.Show(dosya+" dosyasına yazılamadı!");
                        }

                    }
                    else
                    {   // Kapat 
                        this.Close();
                    }



        }
    }
}
